Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java	(revision 3048)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java	(revision 3049)
@@ -11,6 +11,7 @@
 import org.txm.core.results.Parameter;
 import org.txm.objects.Project;
 import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.w3c.dom.Document;
 import org.w3c.dom.Element;
 import org.w3c.dom.NodeList;
@@ -67,6 +68,7 @@
 		if (name == null) throw new IllegalArgumentException("Section name must not be null or empty.");
 		
 		section = toolkit.createSection(parent, style);
+		this.section.setText(name);
 		this.toolkit = toolkit;
 		this.form = form;
 		this.name = name;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java	(revision 3048)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java	(revision 3049)
@@ -41,9 +41,8 @@
 	 */
 	public TRSSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		
-		super(toolkit2, form2, parent, style, "transcription");
+		super(toolkit2, form2, parent, style, "Transcriptions");
 		
-		this.section.setText(TXMUIMessages.TRSSection_0);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		layout.numColumns = 1;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/UISection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/UISection.java	(revision 3048)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/UISection.java	(revision 3049)
@@ -46,7 +46,7 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 		
-		Label sep = toolkit.createLabel(sectionClient, "Concordance");
+		Label sep = toolkit.createLabel(sectionClient, "Concordances");
 		sep.setToolTipText("Concordance sub-section");
 		sep.setLayoutData(getSectionGridData(2));
 		
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 3048)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 3049)
@@ -1076,5 +1076,5 @@
 
 zoomToSelectionColonCtrlPlusLeftMousePlusdrag = \	Zoomer sur la sélection : Ctrl + Clic Gauche + Glisser\n
 
-TRSSection_0=Transcription
+TRSSection_0=Transcriptions
 TRSSection_1=Afficher le locuteur
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 3048)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 3049)
@@ -35,7 +35,7 @@
 SourceDirectoryPage_6  = Source directory to use
 SourceDirectoryPage_8  = Warning: corpus name normalization: no valid character available to build the corpus name (try to use some American English - ASCII - characters in the folder name)
 
-TRSSection_0=Transcription
+TRSSection_0=Transcriptions
 TRSSection_1=Display locutor names
 TXMCanNotFetchUpdatesP0 = TXM can not fetch updates ({0}).
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java	(revision 3048)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java	(revision 3049)
@@ -67,9 +67,8 @@
 	/**
 	 * The constructor.
 	 */
-	public LanguageSwitchHandler() {
-	}
-
+	public LanguageSwitchHandler() {}
+	
 	/**
 	 * the command has been executed, so extract extract the needed information
 	 * from the application context.
@@ -80,60 +79,64 @@
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-
+		
 		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
 		
-		String locale = Locale.getDefault().getLanguage();//RCPPreferences.getInstance().getString(RCPPreferences.UI_LOCALE);
+		String locale = Locale.getDefault().getLanguage();// RCPPreferences.getInstance().getString(RCPPreferences.UI_LOCALE);
 		
-		ArrayList<String> values = new ArrayList<String>();
+		ArrayList<String> values = new ArrayList<>();
 		values.add("fr"); //$NON-NLS-1$
 		values.add("en"); //$NON-NLS-1$
-		//values.add("ru"); //$NON-NLS-1$
+		values.add("ru"); //$NON-NLS-1$
 		
 		if (!values.contains(locale)) { // set selected locale
 			locale = "en";
 		}
 		
-		ComboDialog d = new ComboDialog(shell, TXMUIMessages.chooseTheLanguage, values, locale); //$NON-NLS-1$
+		ComboDialog d = new ComboDialog(shell, TXMUIMessages.chooseTheLanguage, values, locale);
 		if (d.open() == Window.OK) {
 			locale = d.getSelectedValue();
-			//RCPPreferences.getInstance().put(RCPPreferences.CONFIG_LOCALE, locale);
-		} else {
+			// RCPPreferences.getInstance().put(RCPPreferences.CONFIG_LOCALE, locale);
+		}
+		else {
 			return null;
 		}
 		
 		// Does not work:
-		//	System.getProperties().setProperty(IApplicationContext.EXIT_DATA_PROPERTY, "-nl " + locale);
-		//	changeLocaleTXMIni(locale);
+		// System.getProperties().setProperty(IApplicationContext.EXIT_DATA_PROPERTY, "-nl " + locale);
+		// changeLocaleTXMIni(locale);
 		
 		if (changeLocaleConfigIni(locale)) {
 			PlatformUI.getWorkbench().restart();
-		} else {
-			Log.warning("** Error: TXM language configuration could not be set. You can set TXM language by editing HOME/TXM-<version>/.txm/TXM.ini) configuration file by adding '-nl\n<language code>' before the '-vmargs' line.");
 		}
+		else {
+			Log.warning(
+					"** Error: TXM language configuration could not be set. You can set TXM language by editing HOME/TXM-<version>/.txm/TXM.ini) configuration file by adding '-nl\n<language code>' before the '-vmargs' line.");
+		}
 		
 		return null;
 	}
-
+	
 	/**
 	 * Change locale of TXM.ini.
 	 *
 	 * @param locale the locale
 	 */
 	public static void changeLocaleTXMIni(String locale) {
-
-//		Location configArea = Platform.getInstallLocation();
-//		//MessageBox.warning(Platform.getInstanceLocation().getURL().toString());
-//		// String product = Platform.getProduct().getName();
-//		if (configArea == null) {
-//			return;
-//		}
-
+		
+		// Location configArea = Platform.getInstallLocation();
+		// //MessageBox.warning(Platform.getInstanceLocation().getURL().toString());
+		// // String product = Platform.getProduct().getName();
+		// if (configArea == null) {
+		// return;
+		// }
+		
 		URL location = null;
 		try {
 			String path = System.getProperty("osgi.instance.area"); //$NON-NLS-1$
 			location = new URL(path + "TXM.ini"); //$NON-NLS-1$
-		} catch (MalformedURLException e) {
+		}
+		catch (MalformedURLException e) {
 			System.err.println(NLS.bind(TXMUIMessages.switchLanguageColonMalformedUrlColonP0, location));
 			return;
 		}
@@ -148,10 +151,10 @@
 		file.renameTo(new File(fileName));
 		
 		// update TXM.ini
-		System.out.println(TXMUIMessages.tXMiniColon+location);
-		Log.severe(TXMUIMessages.tXMiniColon+location);
+		System.out.println(TXMUIMessages.tXMiniColon + location);
+		Log.severe(TXMUIMessages.tXMiniColon + location);
 		try {
-
+			
 			BufferedReader in = new BufferedReader(new FileReader(fileName));
 			BufferedWriter out = new BufferedWriter(new FileWriter(location.getFile()));
 			try {
@@ -159,7 +162,7 @@
 				boolean isNlWiritten = false;
 				String line = in.readLine();
 				while (line != null) {
-
+					
 					// write nl before vmargs
 					if (line.equals("-vmargs") && !isNlWiritten) //$NON-NLS-1$
 					{
@@ -169,23 +172,24 @@
 						out.newLine();
 						isNl = true;
 					}
-
+					
 					// write line if -nl was not found in previous line
 					// else locale
 					if (!isNl) {
 						out.write(line);
-					} else {
+					}
+					else {
 						out.write(locale);
 						isNl = false;
 						isNlWiritten = true;
 					}
 					out.newLine();
-
+					
 					// check nl line
 					if (line.equals("-nl")) { //$NON-NLS-1$
 						isNl = true;
 					}
-
+					
 					line = in.readLine();
 				}
 				// create nl if it was not presents
@@ -196,25 +200,30 @@
 					out.newLine();
 				}
 				out.flush();
-			} finally {
+			}
+			finally {
 				if (in != null) {
 					try {
 						in.close();
-					} catch (IOException e) {
+					}
+					catch (IOException e) {
 						org.txm.utils.logger.Log.printStackTrace(e);
 					}
 				}
 				if (out != null) {
 					try {
 						out.close();
-					} catch (IOException e) {
+					}
+					catch (IOException e) {
 						org.txm.utils.logger.Log.printStackTrace(e);
 					}
 				}
 			}
-		} catch (FileNotFoundException e) {
+		}
+		catch (FileNotFoundException e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
-		} catch (IOException e) {
+		}
+		catch (IOException e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 	}
@@ -231,10 +240,10 @@
 		if (configArea == null) {
 			return false;
 		}
-
-		String fileName = Platform.getConfigurationLocation().getURL().getFile() + 
+		
+		String fileName = Platform.getConfigurationLocation().getURL().getFile() +
 				System.getProperty("file.separator") + "config.ini"; //$NON-NLS-1$ //$NON-NLS-2$
-
+		
 		File file = new File(fileName);
 		if (!file.exists()) {
 			MessageBox.error(NLS.bind(TXMUIMessages.theFileP0DoesNotExist, file.getAbsolutePath()));
@@ -244,23 +253,25 @@
 		file.renameTo(new File(fileNameBackup));
 		
 		// update config.ini
-		Log.info("config.ini: "+fileName); //$NON-NLS-1$
+		Log.info("config.ini: " + fileName); //$NON-NLS-1$
 		try {
-
+			
 			BufferedReader in = new BufferedReader(new FileReader(fileNameBackup));
 			BufferedWriter out = new BufferedWriter(new FileWriter(fileName));
 			try {
 				boolean isNlWritten = false;
 				String line = in.readLine();
 				while (line != null) {
-
+					
 					if (!isNlWritten) {
 						if (line.contains("osgi.nl=")) { //$NON-NLS-1$
 							out.write("osgi.nl=" + locale); //$NON-NLS-1$
 							isNlWritten = true;
-						} else
+						}
+						else
 							out.write(line);
-					} else
+					}
+					else
 						out.write(line);
 					
 					out.newLine();
@@ -272,35 +283,41 @@
 					out.newLine();
 				}
 				out.flush();
-			} finally {
+			}
+			finally {
 				if (in != null) {
 					try {
 						in.close();
-					} catch (IOException e) {
+					}
+					catch (IOException e) {
 						org.txm.utils.logger.Log.printStackTrace(e);
 					}
 				}
 				if (out != null) {
 					try {
 						out.close();
-					} catch (IOException e) {
+					}
+					catch (IOException e) {
 						org.txm.utils.logger.Log.printStackTrace(e);
 					}
 				}
 			}
-		} catch (FileNotFoundException e) {
+		}
+		catch (FileNotFoundException e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
-		} catch (IOException e) {
+		}
+		catch (IOException e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 		
 		String txt;
 		try {
 			txt = IOUtils.getText(file, "UTF-8");
-			return txt.contains("osgi.nl="+locale);
-		} catch (IOException e) {
+			return txt.contains("osgi.nl=" + locale);
+		}
+		catch (IOException e) {
 			e.printStackTrace();
 			return false;
 		}
 	}
-}
\ No newline at end of file
+}
